uniform sampler2D texture1;


uniform float time = 1.0;
uniform float speedX = -1.0;
uniform float speedY = .5;
uniform float video = 0.0;
uniform float colorR = 1.0;
uniform float colorG = 1.0;

void main()
{
	float t = time;
 
	 vec2 uv = gl_TexCoord[0].xy;

    uv.y -= t * speedY; //step(sin(t),0.1);
   
	vec4 color = texture2D(texture1, uv);
	color-=.4;
	gl_FragColor = color;

}